#ifndef __LINKED_LIST_H__
#define __LINKED_LIST_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

struct node {
	void *data;
	struct node *next;
	struct node *prev;
};

void *node_insert(struct node **head_ref, void *new_data, size_t size);
void node_remove(struct node **head_ref, struct node *del);

#endif /* __LINKED_LIST_H__ */
